%% Funkce pro převod obrazů klasifikovaných experty do matice tříd PRO AFIO DATABÁZI
% Tepnám přiřazena hodnota 2, žílám hodnota 3 a pozadí přiřazena hodnota 1.
%
% Vstupem funkce je class_img, obraz klasifikovaný experty, na výstupu je
% matice tříd (1, 2, 3).

function labels_matice = labels_afio(class_img)

labels_matice = zeros(size(class_img, 1), size(class_img, 2));  % vytvoření matice, do které budou zapisovány jednotlivé třídy

tepny = class_img(:, :, 1);   % červený kanál
zily = class_img(:, :, 3);    % modrý kanál

tepny = tepny >= 200;         % vymezení tepen pomocí prahu
zily = zily >= 100;           % vymezení žil pomocí prahu

% 1, 2, 3
for i = 1:size(class_img, 1)
    for j = 1:size(class_img, 2)
        if tepny(i, j) == 1
            labels_matice(i, j) = 2;
        elseif zily(i, j) == 1
            labels_matice(i, j) = 3;
        else
            labels_matice(i, j) = 1;
        end
    end
end

% labels_vektor = reshape(labels_matice, [], 1);  % transformace matice do vektoru

% [x, y] = find(labels_matice == 2);              % kontrola zápisu 

end